RelayAPI

Dry-run the graph without any side effects

POST
/v1/automations/{id}/simulate
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/automations/string/simulate" \  -H "Content-Type: application/json" \  -d '{}'
{  "steps": [    {      "node_key": "string",      "node_kind": "string",      "entered_via_port_key": "string",      "exited_via_port_key": "string",      "outcome": "advance",      "payload": null    }  ],  "ended_at_node": "string",  "exit_reason": "string"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo